.. _mmctl_plugin:

mmctl plugin
------------

Management of plugins

Synopsis
~~~~~~~~


Management of plugins

Options
~~~~~~~

::

  -h, --help   help for plugin

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl plugin add <mmctl_plugin_add.rst>`_ 	 - Add plugins
* `mmctl plugin delete <mmctl_plugin_delete.rst>`_ 	 - Delete plugins
* `mmctl plugin disable <mmctl_plugin_disable.rst>`_ 	 - Disable plugins
* `mmctl plugin enable <mmctl_plugin_enable.rst>`_ 	 - Enable plugins
* `mmctl plugin install-url <mmctl_plugin_install-url.rst>`_ 	 - Install plugin from url
* `mmctl plugin list <mmctl_plugin_list.rst>`_ 	 - List plugins
* `mmctl plugin marketplace <mmctl_plugin_marketplace.rst>`_ 	 - Management of marketplace plugins

